<?php
/**
 * Fade in fade out article title
 *
 * @package Fade in fade out article title
 * @subpackage Fade in fade out article title
 * @version   2.0 February, 2012
 * @author    Gopi http://www.gopiplus.com
 * @copyright Copyright (C) 2010 - 2012 www.gopiplus.com, LLC
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 */

// no direct access
defined('_JEXEC') or die;

class modFiFoHelper
{
	public function loadScripts(&$params)
	{
		$doc = &JFactory::getDocument();
		$doc->addScript(JURI::Root(true).'/modules/mod_fade_in_fade_out_article_title/tmpl/mod_fade_in_fade_out_article_title.js');
	}
	
	public function getArticleList($args)
	{
      $db = &JFactory::getDBO();

      $nullDate = $db->getNullDate();
      $date =& JFactory::getDate();
      $now = $date->toMySQL();

	  $fifopost_category_id = $args['fifopost_category_id'];
	  $fifopost_no_of_items = $args['fifopost_no_of_items'];
	  $fifopost_no_of_chars = $args['fifopost_no_of_chars'];
	  $fifopost_order_field = $args['fifopost_order_field'];
	  $fifopost_use_cache = $args['fifopost_use_cache'];
	  $fifopost_order_by = $args['fifopost_order_by'];
      
      if ($fifopost_no_of_chars == 0){
        $fifopost_no_of_chars=999;
      }
      
      $query  = "select cn.id, ca.id as catid, ca.alias as catalias, cn.alias as conalias, cn.sectionid, ";
			$query .= "CASE WHEN CHAR_LENGTH(cn.alias) THEN CONCAT_WS(':', cn.id, cn.alias) ELSE cn.id END as slug, ";
			$query .= "CASE WHEN CHAR_LENGTH(ca.alias) THEN CONCAT_WS(':', ca.id, ca.alias) ELSE ca.id END as catslug, ";
      $query .= "if (length(cn.title)>".$fifopost_no_of_chars.",concat(substring(cn.title,1,".$fifopost_no_of_chars."),'...'),cn.title) as title, ";
      $query .= "cn.title as fulltitle ";
      $query .= "from #__content as cn , #__categories as ca ";
      $query .= "where cn.id <> '' ";
      if($fifopost_category_id != ""){
        $query .= " AND cn.catid in (".$fifopost_category_id.") ";
      }
      
      $query .= " and state = 1 and ca.id=cn.catid ";

      $query .= ' and ( publish_up = '.$db->Quote($nullDate).' or publish_up <= '.$db->Quote($now).' )';
      $query .= ' and ( publish_down = '.$db->Quote($nullDate).' or publish_down >= '.$db->Quote($now).' )';
      
      if ($fifopost_order_field == "random"){
      	$query .= " order by RAND() ";
      }else{
        $query .= " order by ".$fifopost_order_field." ".$fifopost_order_by;
      }
      
      if ($fifopost_no_of_items != 0) {
        $query .= " limit ".$fifopost_no_of_items;
      }
      
      $db->setQuery($query);
      $items = ($items = $db->loadObjectList())?$items:array();
      return $items;
    }
	
}